/**
 * Homework 3
 * Name: YOUR NAME
 * ID: KAIST ID
 */

const day1 = document.getElementById('day1');
const button = document.getElementById('button');
// ... continue by yourself

day1.oninput = function () {
  const d1 = parseInt(day1.value);
  console.log(d1);
};

button.addEventListener('click', function (event) {
  event.preventDefault();
  console.log('Click');
});

// Logic
function isLeapYear(year) {
  // PLACEHOLDER
}

function computeDaysInMonth(month, year) {
  // PLACEHOLDER
}

function computeDaysInYear(year) {
  // PLACEHOLDER
}

function computeDaysSinceBeginningYear(day, month, year) {
  // PLACEHOLDER
}

function computeDaysLeftYear(day, month, year) {
  // PLACEHOLDER
}

function computeDaysBetweenDatesIter(
  fromDay,
  fromMonth,
  fromYear,
  toDay,
  toMonth,
  toYear
) {
  // PLACEHOLDER
}

function computeDaysBetweenDatesRec(
  fromDay,
  fromMonth,
  fromYear,
  toDay,
  toMonth,
  toYear
) {
  // PLACEHOLDER
}

function getDayOfWeek(day, month, year) {
  // PLACEHOLDER
}
